{
  "model": {
    "type": "minecraft:composite",
    "models": [
      {
        "type": "minecraft:range_dispatch",
        "property": "minecraft:custom_model_data",
        "index": 0,
        "entries": [
          {
            "threshold": 1,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 5454645
                }
              ]
            }
          },
          {
            "threshold": 2,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 5009366
                }
              ]
            }
          },
          {
            "threshold": 3,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 5424314
                }
              ]
            }
          },
          {
            "threshold": 9,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 10846319
                }
              ]
            }
          },
          {
            "threshold": 10,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 14856856
                }
              ]
            }
          },
          {
            "threshold": 11,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_liquids/liquid_water",
              "tints": [
                {
                  "type": "minecraft:constant",
                  "value": 16764037
                }
              ]
            }
          }
        ],
        "fallback": {
          "type": "minecraft:model",
          "model": "overlyrealistic:item/empty"
        }
      },
      {
        "type": "minecraft:range_dispatch",
        "property": "minecraft:custom_model_data",
        "index": 1,
        "entries": [
          {
            "threshold": 1,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/sweet_berry_base"
            }
          },
          {
            "threshold": 2,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/kelp_base"
            }
          },
          {
            "threshold": 3,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/honey_base"
            }
          },
          {
            "threshold": 4,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/fermented_sweet_berry_base"
            }
          },
          {
            "threshold": 5,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/boiled_fermented_sweet_berry_base"
            }
          },
          {
            "threshold": 6,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/mushroom_base"
            }
          },
          {
            "threshold": 7,
            "model": {
              "type": "minecraft:model",
              "model": "overlyrealistic:item/basket_additionals/suspicious_base"
            }
          }
        ],
        "fallback": {
          "type": "minecraft:model",
          "model": "overlyrealistic:item/empty"
        }
      },
      {
        "type": "minecraft:model",
        "model": "overlyrealistic:item/basket"
      }
    ]
  }
}